package org.kde.koala;
import org.kde.qt.*;


/** {@link KStatusBar} emits these signals */
public interface KStatusBarSignals {
	void destroyed( QObject obj );

/** 
  Emitted when mouse is pressed over item <code>id.</code>

  Connect to this signal if you want to respond to mouse press events.

   
*/
	void pressed( int arg1 );

/** 
  Emitted when mouse is released over item <code>id.</code>

  Connect to this signal if you want to respond to mouse release events (clicks).
   
*/
	void released( int arg1 );
}

